Page MenuHomePhabricator

Disable TwoColumnEditClonflit on Wikisource waiting for ProofreadPage support
Closed, DeclinedPublic

Description

The TwoColumnEditConflict extension is currently enabled as a beta feature on Wikisource even if it breaks the ProofreadPage editing interfaces that are used on the most edited namespace (Page:) (see task T176393 )

I believe it would be nice for the users to disable this extension while this task is not resolved.

Event Timeline

Tpt created this task.Oct 26 2017, 7:29 AM
Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptOct 26 2017, 7:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 386582 had a related patch set uploaded (by Tpt; owner: Tpt):
[operations/mediawiki-config@master] Disables TwoColConflict waiting for compatibility with ProofreadPage

https://gerrit.wikimedia.org/r/386582

Hey, the last weeks a major refactoring of the EditPage[1] and TwoColConflict[2] took place to change the way it hooks into the EditPage. TwoColConflict now does not override the EditPage and so it should work with ProofreadPage when it's deployed.

The changes are merged and will go live during the deployment next week. T176393

[1] https://gerrit.wikimedia.org/r/#/c/379724/
[2] https://gerrit.wikimedia.org/r/#/c/379725/

So if your patient you could wait for that :-).

Tpt closed this task as Declined.Nov 4 2017, 9:36 PM

Great! Let's close this task

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptNov 4 2017, 9:36 PM

Change 386582 abandoned by Tpt:
Disables TwoColConflict waiting for compatibility with ProofreadPage

Reason:
Not needed anymore

https://gerrit.wikimedia.org/r/386582